jif.ast

## Interface InstTypeNode

- All Superinterfaces:
    java.lang.Cloneable, polyglot.util.Copy<polyglot.ast.Node>, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.Prefix, polyglot.ast.QualifierNode, polyglot.ast.Receiver, java.io.Serializable, polyglot.ast.Term, polyglot.ast.Typed, polyglot.ast.TypeNode
  All Known Implementing Classes:
    InstTypeNode_c

      public interface InstTypeNode
      extends polyglot.ast.TypeNode

  Instantiated type node.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.ast.TypeNode

      `polyglot.ast.TypeNode.Instance`

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    - ### Fields inherited from interface polyglot.ast.Term

      `ENTRY, EXIT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `polyglot.ast.TypeNode` | `base()`
    `InstTypeNode` | `base(polyglot.ast.TypeNode base)`
    `java.util.List<ParamNode>` | `params()`
    `InstTypeNode` | `params(java.util.List<ParamNode> params)`

    - ### Methods inherited from interface polyglot.ast.TypeNode

      `name, type`

    - ### Methods inherited from interface polyglot.ast.Typed

      `type`

    - ### Methods inherited from interface polyglot.ast.QualifierNode

      `qualifier`

    - ### Methods inherited from interface polyglot.ast.Node

      `del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitEdge`

    - ### Methods inherited from interface polyglot.ast.NodeOps

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, extRewriteOverride, lang, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChild, visitChildren, visitList`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

    - ### Methods inherited from interface polyglot.ast.Term

      `exceptions, exceptions, reachable, reachable`

- - ### Method Detail

    - #### base

          polyglot.ast.TypeNode base()

    - #### base

          InstTypeNode base(polyglot.ast.TypeNode base)

    - #### params

          java.util.List<ParamNode> params()

    - #### params

          InstTypeNode params(java.util.List<ParamNode> params)